مخضرم مع الكسوف جونو

I just upgraded to Eclipse v4.2 (Juno). The Maven plugin seems to be missing. How do I get it?

55

5 إجابة

يتم توفير جميع المعلومات التي تحتاج إليها في إعلان الإصدار لـ m2e 1.1 :

تم إصدار m2e 1.1 كجزء من إصدار Eclipse Juno المتزامن اليوم.

     

[...]

     

يتم تضمين m2e 1.1 بالفعل في حزمة "Eclipse IDE for Java Developers" المتوفرة من http://eclipse.org/downloads/ أو يمكن تثبيته من مستودع تحرير Eclipse Juno [2]. يمكن لمستخدمي Eclipse 3.7/Indigo تثبيت الإصدار الجديد من مستودع تحرير m2e [3]

     

[...]

     

[2] http://download.eclipse.org/releases/juno

     

[3] http://download.eclipse.org/technology/m2e/releases

59
وأضاف

m2e is only included in the Java developer version of Eclipse, as you can see on this page ("Maven" topic): http://www.eclipse.org/downloads/compare.php

ومع ذلك ، توجد طريقة سهلة للحصول على m2e من خلال سوق Eclipse:

Go to Help -> Eclipse Marketplace and look for m2e. Click "Maven Integration for Eclipse", then on Install (or drag and drop the install link to your running Eclipse workspace if you opened the marketplace in a browser), et voila!

Direct browser access: http://marketplace.eclipse.org/content/maven-integration-eclipse

35
وأضاف
حاولت تثبيته من السوق وتثبيته ولكن عندما أنقر على مشروع ، فإنه لا يظهر خيار التبعية Enable Maven. لا يظهر خيار مخضر في قسم التفضيلات. قد يكون وات خطأ؟
وأضاف المؤلف Metalhead, مصدر
لا يحتوي إصدار Java EE على m2e. عادة ما أقوم فقط بتثبيت m2e-wtp من Eclipse Marketplace.
وأضاف المؤلف Thorbjørn Ravn Andersen, مصدر
ليس لدي أي فكرة ، ولكن سيكون من المفيد اختبارها وربما للإشارة إلى مؤسسة Eclipse Foundation الخاصة بهم خاطئة.
وأضاف المؤلف Alexis Dufrenoy, مصدر
Metalhead: انقر بزر الماوس الأيمن على مشروعك. إذا ظهر عنصر Maven ، فحاول تحديد "Add Maven nature".
وأضاف المؤلف Alexis Dufrenoy, مصدر
بالنظر إلى صفحة "قارن" التي أشرت إليها في جوابي ، يبدو أن M2E أصبحت الآن جزءًا من إصدار Java EE. لذلك أنا لا أعرف عن كيبلر ، ولكن يبدو أنها مدرجة في إصدار لونا.
وأضاف المؤلف Alexis Dufrenoy, مصدر
هذا أمر غريب ، حتى أنني لا أرى سوق Eclipse Marketplace تحت OS X مع أحدث إصدار Juno
وأضاف المؤلف powerj1984, مصدر
هل ينطبق هذا على إصدار Java EE Developers؟ لا يمكنني رؤيته ضمن البرنامج المثبت ؛ ولكن أعتقد أنني لم أكن أرى ذلك مع النيلي على علامة التبويب البرامج المثبتة ولكن كان هناك (النظر في محتوى القوائم المنبثقة)
وأضاف المؤلف tomasb, مصدر

You should be able to install m2e (maven project for eclipse) using the Help -> Install New Software dialog. On that dialog open the Juno site (http://download.eclipse.org/releases/juno) and expand the Collaboration group (or type m2e into the filter). Select the two m2e options and follow the installation dialog

8
وأضاف

من الكسوف

  • انتقل إلى المساعدة
  • سوق الكسوف
  • ابحث عن دمج m2e أو maven لـ eclipse
  • انقر على التثبيت مقابل - 'Maven Integration for Eclipse (Juno and newer) 1.4'
  • إعادة التشغيل والاستمتاع !!!
6
وأضاف

هذا ما كنت أحصل عليه عند محاولة تثبيت m2e من مكان سوق Eclipse. أنا أستخدم Eclipse Juno.

يتعذر إكمال التثبيت بسبب تعذر العثور على عنصر واحد أو أكثر من العناصر المطلوبة.   البرامج التي يتم تركيبها: m2e - Maven Integration for Eclipse (بما في ذلك مكونات الاحتضان) 1.5.0.20140606-0033 (org.eclipse.m2e.feature.feature.group 1.5.0.20140606-0033)   المتطلبات المفقودة: يتطلب Maven Integration for Eclipse 1.5.0.20140606-0033 (org.eclipse.m2e.core 1.5.0.20140606-0033) "package com.google.guava [14.0.1،16.0.0]" ولكن تعذر العثور عليه   لا يمكن إرضاء التبعية:     من: m2e - Maven Integration for Eclipse (بما في ذلك مكونات الاحتضان) 1.5.0.20140606-0033 (org.eclipse.m2e.feature.feature.group 1.5.0.20140606-0033)     إلى: org.eclipse.m2e.core [1.5.0.20140606-0033]

ومع ذلك ، فإن الروابط أدناه مثالية ، وهو يعمل بالنسبة لي.

http://marketplace.eclipse.org/content/maven-integration -eclipse-الرغبة في الدفع-جونو-0

مع تحياتي، بلال

1
وأضاف